Cyberduck Mountain Duck CLI

#151 closed defect (fixed)

Files/folders that begin with numbers followed by a space cannot be opened

Reported by: rydinan@… Owned by: dkocher
Priority: normal Milestone: 2.6
Component: ftp Version: 2.5.4
Severity: normal Keywords:
Cc: prd844@… Architecture:
Platform:

Description

If a folder is created with numbers, followed by a space and more characters (i.e., '2006 Files'), the folder is shown as 'Files', and cannot be opened or deleted. Other FTP programs (such as Fetch) will show the correct folder name as '2006 Files', and allows full functionality.

Also, if you create just a folder with numbers (i.e., '2006'), the folder WILL be correctly shown as '2006', WILL allow you to open it and add files, but it will NOT allow you to delete the folder.

If the folder name is joined by an underscore (i.e., '2006_Files') it works fine.

If you need further info, just let me know! Thanks!

-Ryan

Change History (6)

comment:1 Changed on Mar 13, 2006 at 5:32:10 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:2 Changed on Mar 21, 2006 at 4:48:11 PM by klf@…

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I am experiencing the same problem.. the ftp server is a windows server, could this be related? I have a folder "2006 March" which shows up in cyberduck as just "March" and is inaccessible. It is accessable from other ftp clients.

comment:3 Changed on Mar 21, 2006 at 5:16:07 PM by dkocher

  • Component changed from core to ftp
  • Milestone set to 2.6
  • Status changed from reopened to new

Windows file parser issue.

comment:4 Changed on Mar 21, 2006 at 5:16:20 PM by dkocher

  • Status changed from new to assigned

comment:5 Changed on Apr 25, 2006 at 8:32:38 PM by dkocher

  • Cc prd844@… added
  • Milestone changed from 2.6 to 2.5.6

comment:6 Changed on Apr 27, 2006 at 5:33:04 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software